MESG(1)

BEZEICHNUNG
mesg - Nachrichten von anderen Benutzern anzeigen (oder nicht)

ÜBERSICHT

mesg [Option] [n|y]

BESCHREIBUNG

Das Dienstprogramm mesg wird von einem Benutzer aufgerufen, um den Schreibzugriff anderer auf das Terminal zu steuern, das mit der Standardfehlerausgabe verknüpft ist. Falls der Schreibzugriff gestattet wird, dann können Programme wie talk(1) und write(1) Nachrichten im Terminal anzeigen.

Traditionell ist der Schreibzugriff standardmäßig erlaubt. Als jedoch diverse Sicherheitsaspekte in das Bewusstsein der Benutzer rückten, ergab sich der Trend, den Schreibzugriff standardmäßig zu unterbinden, zumindest für die primäre Anmelde-Shell.

Die anfänglichen Berechtigungen für das Terminal werden durch login(1) gemäß TTYPERM und TTYGROUP aus /etc/login.defs festgelegt. Der Standardmodus ist 0620, wenn eine TTY-Gruppe verwendet wird, und 0600 ohne die Gruppe. Der Standardname der TTY-Gruppe lautet »tty«.

Um sicherzustellen, dass Ihre TTYs portabel und unabhängig von den Systemeinstellungen eingestellt sind, sollte mesg in Ihren Anmeldeskripten ausgeführt werden.

mesg ändert die Schreibrechte einer Gruppe auf dem aktuellen Terminalgerät. Seit Version 2.41 kann mesg nicht mehr so kompiliert werden, dass das Terminal für andere beschreibbar ist, und ändert ausschließlich die Berechtigungen von Gruppen. Üblicherweise wird eine »tty«-Gruppe verwendet und die entsprechenden Benutzer zu dieser Gruppe hinzugefügt. Alternativ ist es weniger sicher, Dienstprogramme wie write(1) oder wall(1) so zu konfigurieren, dass sie die Benutzerkennung für die »tty«-Gruppe festlegen.

Das Dienstprogramm mesg beendet sich stillschweigend mit dem Fehlerstatus 2, falls sich die aktuelle Fehlerausgabe nicht auf ein Terminal bezieht. In diesem Fall ist die Ausführung von mesg sinnlos. Die Befehlszeilenoption --verbose erzwingt, dass mesg eine Warnung in diesem Fall ausgibt. Dieses Verhalten wurde in Version 2.33 hinzugefügt.

ARGUMENTE

n
    unterbindet Nachrichten.

y
    erlaubt die Anzeige von Nachrichten.

Falls keine Argumente angegeben sind, zeigt mesg den aktuellen Nachrichtenstatus im Fehlerkanal der Standardausgabe an.

OPTIONEN

-v, --verbose
    erklärt, was geschieht.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

Das Dienstprogramm mesg gibt die folgenden Rückgabewerte aus:

0
    Nachrichten sind erlaubt.

1
    Nachrichten sind nicht erlaubt.

>1
    Ein Fehler ist aufgetreten.

DATEIEN

/dev/[pt]ty*, /dev/pts/[0-9]*

GESCHICHTE

mesg (I) erscheint im UNIX-Programmierhandbuch. Vor Version 7 von AT&T UNIX wurde der aktuelle Status ohne Argumente invertiert.

SIEHE AUCH

login(1), talk(1), write(1), wall(1), xterm(1)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl mesg ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.